From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/html5lib/
Date: Thu, 9 May 2024 19:13:51 +0000 (UTC) [thread overview]
Message-ID: <1715281534.096bfe3268a87a5fcdacaa0d16dde921422bf1f9.mgorny@gentoo> (raw)
commit: 096bfe3268a87a5fcdacaa0d16dde921422bf1f9
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu May 9 19:04:35 2024 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu May 9 19:05:34 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=096bfe32
dev-python/html5lib: Eliminate dev-python/mock dep
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/html5lib/html5lib-1.1-r2.ebuild | 49 ++++++++++++++++++++++++++++++
1 file changed, 49 insertions(+)
diff --git a/dev-python/html5lib/html5lib-1.1-r2.ebuild b/dev-python/html5lib/html5lib-1.1-r2.ebuild
new file mode 100644
index 000000000000..02e9043828bf
--- /dev/null
+++ b/dev-python/html5lib/html5lib-1.1-r2.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} pypy3 )
+PYTHON_REQ_USE="xml(+)"
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="HTML parser based on the HTML5 specification"
+HOMEPAGE="
+ https://github.com/html5lib/html5lib-python/
+ https://html5lib.readthedocs.io/
+ https://pypi.org/project/html5lib/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+
+PATCHES=(
+ "${FILESDIR}"/${P}-pytest6.patch
+)
+
+RDEPEND="
+ >=dev-python/six-1.9[${PYTHON_USEDEP}]
+ dev-python/webencodings[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/pytest-expect[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ sed -e 's:from mock:from unittest.mock:' \
+ -i html5lib/tests/test_meta.py || die
+}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest -p pytest_expect
+}
next reply other threads:[~2024-05-09 19:13 UTC|newest]
Thread overview: 59+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-05-09 19:13 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-02-16 15:08 [gentoo-commits] repo/gentoo:master commit in: dev-python/html5lib/ Michał Górny
2024-05-25 6:21 Michał Górny
2024-05-25 6:08 Arthur Zamarin
2024-05-09 19:13 Michał Górny
2023-05-24 8:36 Sam James
2023-03-16 3:50 Michał Górny
2022-06-12 14:30 Michał Górny
2022-06-12 11:55 Sam James
2022-05-11 17:54 Michał Górny
2022-05-11 17:54 Michał Górny
2021-09-25 21:27 James Le Cuirot
2020-10-08 18:38 Sam James
2020-08-30 19:10 Thomas Deutschmann
2020-08-02 11:39 Sergei Trofimovich
2020-08-01 9:14 Sergei Trofimovich
2020-08-01 9:01 Sergei Trofimovich
2020-07-27 10:02 Michał Górny
2020-06-23 6:03 Michał Górny
2020-05-26 16:23 Michał Górny
2020-04-04 17:04 Michał Górny
2020-03-27 11:35 Michał Górny
2020-03-27 11:35 Michał Górny
2020-03-27 11:35 Michał Górny
2019-11-02 8:19 Mikle Kolyada
2018-12-08 17:54 Mikle Kolyada
2018-10-29 23:26 Sergei Trofimovich
2018-09-16 20:25 Matt Turner
2018-09-16 20:25 Matt Turner
2018-07-22 2:14 Mikle Kolyada
2018-07-20 15:53 Tobias Klausmann
2018-07-03 20:01 Sergei Trofimovich
2018-07-02 21:24 Sergei Trofimovich
2018-07-01 15:19 Pacho Ramos
2018-06-30 18:03 Mart Raudsepp
2018-03-19 6:04 Tim Harder
2018-01-23 22:21 Patrice Clement
2017-12-20 21:53 Sergei Trofimovich
2017-11-23 22:31 Matt Turner
2017-09-22 19:40 Sergei Trofimovich
2017-08-20 2:17 Tim Harder
2017-07-01 11:19 Sergei Trofimovich
2017-05-26 20:56 Mart Raudsepp
2017-05-26 18:36 Markus Meier
2017-05-23 20:00 Michael Weber
2017-05-18 20:00 Michael Weber
2017-05-17 19:22 Markus Meier
2017-05-10 20:10 Jeroen Roovers
2017-05-09 1:54 Zac Medico
2016-02-28 7:08 Matt Thode
2016-01-15 10:44 Justin Lecher
2016-01-15 9:50 Justin Lecher
2015-11-23 6:44 Jeroen Roovers
2015-11-22 8:39 Markus Meier
2015-11-02 13:12 Agostino Sarubbo
2015-11-02 13:09 Agostino Sarubbo
2015-09-10 7:59 Justin Lecher
2015-08-10 6:42 Justin Lecher
2015-08-09 23:59 Mikle Kolyada
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1715281534.096bfe3268a87a5fcdacaa0d16dde921422bf1f9.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox